Subject: Re: [PATCH v4] Makefile: add a non-.PHONY "sparse-incr" target

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Sep 2021 10:44:38 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> I.e. per [2] want "make <file>.sp" to *always* run "sparse", even
> though a corresponding "make <file>.o" would only re-run the "real"
> compilation if needed.

It is different from my reading.  If <file>.c and what it includes
haven't changed, it would be fine not to run "sparse".  The point of
running "make <file>.sp" is to see it fail if there is something
problematic.  If there is any room for the word "*always*" to come
into the observation, it would be more like "if we cannot make it
follow the usual dependency rules like the real compilation, we can
live with it always running, as it is fast enough".  If we can make
it honor the dependencies, that would give the best of both worlds,
and we do not have to add an extra target.